package compapi

import (
	"github.com/openai/openai-go"
)

const (
	ChatModelDeepSeekV3 openai.ChatModel = "deepseek-chat"
	ChatModelDeepSeekR1 openai.ChatModel = "deepseek-reasoner"

	APIAuthInfoKey string = "COMPAPI_AUTHINFO"
)

var fastgptWorkIdMap = map[string]string{
	"default":              "fastgpt-jcDATa9aH4vtUsjDpCU773BxmLU50IxKUX9nUT0mCTLQkEoo1hPxPEdNQeOEWGTn",
	"OPTIMIZE_CALL_SCRIPT": "fastgpt-bcQ9cWKd6y9a2LfizweeWEnukkQi1Oq46yoiRg9yDNLm8NPTWXsyFwcB",
}

// 获取workToken
func GetWorkTokenByID(eventType string, workId string) string {
	val, exist := fastgptWorkIdMap[workId]
	if !exist {
		val = fastgptWorkIdMap["default"]
	}
	return val
}
